import { loadFromCache } from '../files.js'

export default async function (req, res, next) {
  try {
    const data = await loadFromCache({
      path: req.path,
      version: res.version
    })
    if (!data) return
    const { body, headers, sha256Sum } = data
    res.body = body
    res.headers = headers
    res.locals.sha256Sum = sha256Sum
    res.cache = false
  } catch (err) {
    next(err)
  } finally {
    next()
  }
}
